Last modified: 2014-09-23 22:34:11 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 14950 - (global-prefs) Global preferences
(global-prefs)
Global preferences
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: High enhancement with 33 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
http://meta.wikimedia.org/wiki/Wikime...
:
: 15764 16117 16827 16986 18021 25810 (view as bug list)
Depends on: 18410
Blocks: 20153 23335 31615 39073 64475 69319 25029
  Show dependency treegraph
 
Reported: 2008-07-27 23:10 UTC by Mike.lifeguard
Modified: 2014-09-23 22:34 UTC (History)
39 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2008-07-27 23:10:33 UTC
Some method of having preferences set on one wiki apply to all would be helpful. This would be especially useful for those working across many wikis, who otherwise must set their preferences on 730+ wikis separately.
Comment 1 Nobody 2008-07-27 23:16:18 UTC
For languages, having a single checkbox ("Apply this language preference to all projects") might be nice. Have it reset after you apply it, so you can change individual language preferences later if you'd like.
Comment 2 Dan Jacobson 2008-10-01 07:55:41 UTC
*** Bug 15764 has been marked as a duplicate of this bug. ***
Comment 3 Alexandre Emsenhuber [IAlex] 2008-10-25 21:00:21 UTC
*** Bug 16117 has been marked as a duplicate of this bug. ***
Comment 4 Raimond Spekking 2008-12-29 13:29:41 UTC
*** Bug 16827 has been marked as a duplicate of this bug. ***
Comment 5 Melancholie 2009-02-03 19:08:08 UTC
*** Bug 16986 has been marked as a duplicate of this bug. ***
Comment 6 Raimond Spekking 2009-03-17 18:48:38 UTC
*** Bug 18021 has been marked as a duplicate of this bug. ***
Comment 7 Andrew Garrett 2009-04-09 02:17:57 UTC
Will hopefully implement this as part of the preferences work I'm doing.
Comment 8 Andrew Garrett 2009-04-15 04:32:11 UTC
Fixed in preferences-work branch.
Comment 9 Mike.lifeguard 2009-07-27 02:01:50 UTC
(In reply to comment #8)
> Fixed in preferences-work branch.
> 

This got merged and is currently live on Wikimedia sites, right? I don't see any option to set preferences globally...
Comment 10 FT2 2009-07-27 06:25:41 UTC
(Copied from bug 19951)

This request is that now SUL is well established, it is enhanced to be a
genuine central account manager for the merged/SUL-ed accounts too. That is,
instead of [[Special:MergeAccount]], there is [[Special:Central Account
Management]] or the like. 

This would have 2 tabs (a 3rd was suggested for email address management and confirmation, now withdrawn):

Tab #1 -- to view merged accounts and active projects, and demerge selected
accounts or add new merged accounts. 

Tab #2 -- a central preferences tab, which would be the same as the usual
[[Special:Preferences]] but on each page buttons "set this as the default for
new accounts" and "export changed setting to all merged accounts". 
Comment 11 Roan Kattouw 2010-11-06 14:14:02 UTC
*** Bug 25810 has been marked as a duplicate of this bug. ***
Comment 12 Rehman 2010-11-06 14:36:31 UTC
(In reply to comment #10)
> (Copied from bug 19951)
> 
> This request is that now SUL is well established, it is enhanced to be a
> genuine central account manager for the merged/SUL-ed accounts too. That is,
> instead of [[Special:MergeAccount]], there is [[Special:Central Account
> Management]] or the like. 
> 
> This would have 2 tabs (a 3rd was suggested for email address management and
> confirmation, now withdrawn):
> 
> Tab #1 -- to view merged accounts and active projects, and demerge selected
> accounts or add new merged accounts. 
> 
> Tab #2 -- a central preferences tab, which would be the same as the usual
> [[Special:Preferences]] but on each page buttons "set this as the default for
> new accounts" and "export changed setting to all merged accounts". 

Hi. I dont see any [[Special:Central Account Management]]. Has this proposal gone online?
Comment 13 Krinkle 2010-11-06 14:48:45 UTC
(In reply to comment #12)
> (In reply to comment #10)
> > (Copied from bug 19951)
> > 
> > This request is that now SUL is well established, it is enhanced to be a
> > genuine central account manager for the merged/SUL-ed accounts too. That is,
> > instead of [[Special:MergeAccount]], there is [[Special:Central Account
> > Management]] or the like. 
> > 
> > This would have 2 tabs (a 3rd was suggested for email address management and
> > confirmation, now withdrawn):
> > 
> > Tab #1 -- to view merged accounts and active projects, and demerge selected
> > accounts or add new merged accounts. 
> > 
> > Tab #2 -- a central preferences tab, which would be the same as the usual
> > [[Special:Preferences]] but on each page buttons "set this as the default for
> > new accounts" and "export changed setting to all merged accounts". 
> 
> Hi. I dont see any [[Special:Central Account Management]]. Has this proposal
> gone online?

As far as I can see, it's still a proposal and thus not been built yet.
Comment 14 Nemo 2011-01-28 08:08:29 UTC
I add bug 25029 as blocker because looks like we're not able to apply a preference to all databases.
Comment 15 Rehman 2011-01-29 00:15:24 UTC
(In reply to comment #13)
> As far as I can see, it's still a proposal and thus not been built yet.
Any idea when this will go online?

Side note: Along with the adding of this feature, and the completion of bug 4547, we could also enable a feature where, just like clicking a button to make settings global, clicking a button would update all the user's userpages on all wikis to transclude the user's userpage from Commons...
Comment 16 Rehman 2011-03-13 05:42:05 UTC
What is the current status of this feature?

Has it gone online? If not, when will it go online?
Comment 17 Roan Kattouw 2011-03-13 15:39:56 UTC
(In reply to comment #16)
> What is the current status of this feature?
> 
> Has it gone online? If not, when will it go online?
It hasn't even been written yet.
Comment 18 Mark A. Hershberger 2011-03-22 01:00:07 UTC
*** Bug 19161 has been marked as a duplicate of this bug. ***
Comment 19 Mark A. Hershberger 2011-03-23 05:01:39 UTC
*** Bug 19161 has been marked as a duplicate of this bug. ***
Comment 20 Jeremias Nunez 2012-02-15 19:19:52 UTC
what's the status on this? is anyone currently working on it?

heard from Andrew Garrett that it was reverted because there was no reasonable UI for it (http://www.mediawiki.org/wiki/Special:Code/MediaWiki/49932)

i'd be interested in taking this up as a project for GSoC (http://lists.wikimedia.org/pipermail/wikitech-l/2012-February/058141.html)

thanks
Comment 21 Sumana Harihareswara 2012-03-22 22:47:35 UTC
Hi, Jeremias!  No, I think no one is working on it - please come into IRC with us and chat about it.  Thanks!
Comment 22 Kunal Mehta (Legoktm) 2013-12-12 20:29:45 UTC
I've done some work on this, see [[mw:Extension:GlobalPreferences]]. It's not even close to deployment-ready yet and needs UI love.
Comment 23 Andre Klapper 2014-03-11 14:49:53 UTC
(In reply to Kunal Mehta (Legoktm) from comment #22)
> I've done some work on this, see [[mw:Extension:GlobalPreferences]]. It's
> not even close to deployment-ready yet and needs UI love.

legoktm: Now I'm tempted to assign this ticket to you. ;)  Out of curiosity, are there long term plans to try getting GlobalPrefs deployed on Wikimedia sites?
Comment 24 Kunal Mehta (Legoktm) 2014-03-12 01:54:35 UTC
In the long term, yes. I don't plan on working on the extension anytime soon though, so assigning the bug to me would probably just end up being cookie licking.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links